CVE-2017-17448

NameCVE-2017-17448
Descriptionnet/netfilter/nfnetlink_cthelper.c in the Linux kernel through 4.14.4 does not require the CAP_NET_ADMIN capability for new, get, and del operations, which allows local users to bypass intended access restrictions because the nfnl_cthelper_list data structure is shared across all net namespaces.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4073-1, DSA-4082-1
NVD severitymedium (attack range: local)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)jessie3.16.56-1+deb8u1fixed
jessie (security)3.16.72-1fixed
stretch4.9.189-3fixed
stretch (security)4.9.168-1+deb9u5fixed
buster4.19.67-2fixed
buster (security)4.19.37-5+deb10u2fixed
bullseye, sid5.2.9-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsource(unstable)4.14.7-1medium
linuxsourcejessie3.16.51-3+deb8u1mediumDSA-4082-1
linuxsourcestretch4.9.65-3+deb9u1mediumDSA-4073-1

Notes

[wheezy] - linux <ignored> (User namespaces not supported)
https://patchwork.kernel.org/patch/10089373/

Search for package or bug name: Reporting problems